Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 3.3.75
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.je
Class DatabaseException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.sleepycat.je.DatabaseException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  DatabaseNotFoundException, DeadlockException, EnvironmentLockedException, RunRecoveryException

    public class DatabaseException

extends Exception

The root of all database exceptions. Note that in some cases, certain methods return status values without issuing an exception. This occurs in situations that are not normally considered an error, but when some informational status is returned. For example, `Database.get` returns `OperationStatus.NOTFOUND` when a requested key does not appear in the database.

See Also:
  Serialized Form

Constructor Summary
`DatabaseException()`
`DatabaseException(String message)`
`DatabaseException(String message, Throwable t)`
`DatabaseException(Throwable t)`

Method Summary
`static String` | `getVersionHeader()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DatabaseException

    public DatabaseException()

### DatabaseException

    public DatabaseException(Throwable t)

### DatabaseException

    public DatabaseException(String message)

### DatabaseException

    public DatabaseException(String message,
                             Throwable t)

Method Detail

### getVersionHeader

    public static String getVersionHeader()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 3.3.75
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004,2008 Oracle. All rights reserved.